
From: Romain Lievin <lkml@lievin.net>

This fixes some warnings about GtkToolButton in gkc (the GTK Kernel
Configurator).

Signed-off-by: Romain Livin <lkml@lievin.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/kconfig/gconf.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN scripts/kconfig/gconf.c~fix-warning-in-gkc-make-gconfig scripts/kconfig/gconf.c
--- 25/scripts/kconfig/gconf.c~fix-warning-in-gkc-make-gconfig	2005-03-10 19:09:07.000000000 -0800
+++ 25-akpm/scripts/kconfig/gconf.c	2005-03-10 19:09:07.000000000 -0800
@@ -222,15 +222,15 @@ void init_main_window(const gchar * glad
 	switch (view_mode) {
 	case SINGLE_VIEW:
 		widget = glade_xml_get_widget(xml, "button4");
-		gtk_button_clicked(GTK_BUTTON(widget));
+		g_signal_emit_by_name(widget, "clicked");
 		break;
 	case SPLIT_VIEW:
 		widget = glade_xml_get_widget(xml, "button5");
-		gtk_button_clicked(GTK_BUTTON(widget));
+		g_signal_emit_by_name(widget, "clicked");
 		break;
 	case FULL_VIEW:
 		widget = glade_xml_get_widget(xml, "button6");
-		gtk_button_clicked(GTK_BUTTON(widget));
+		g_signal_emit_by_name(widget, "clicked");
 		break;
 	}
 
_
